body {
    font-family: "Chalked", monospace;
    background-image: url(https://files.catbox.moe/q74sp5.png);
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 40px 20px;
    margin: 0;
    color: darkred;
    overflow-x: hidden;
}

.main-container {
    display: flex;
    gap: 20px;
    background-image: url(https://files.catbox.moe/xxj4v7.gif);
    border: 30px solid transparent;
    border-radius: 10px;
    border-image: url(https://files.catbox.moe/vh64v6.png) 30 round;
    background-clip: padding-box;
    border-radius: 10px;
    padding: 20px;
    width: 100%;
    max-width: 900px;
    height: 600px;
    box-sizing: border-box;
}

.bio-section {
    flex: 1;
    border: 3px dashed darkred;
    border-radius: 10px;
    padding: 20px;
    overflow-y: auto;
    background-color: #fff;
}
.gallery-section {
    flex: 1.4; 
    border: 3px dashed darkred;
    border-radius: 10px;
    padding: 15px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(3, 1fr);
    gap: 15px;
    overflow-y: scroll;
    background-color: white;
}

.img-box {
    border: 3px dashed white;
    position: relative;
}

.img-box img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover; 
    object-position: center;
    transition: filter 0.3s ease, transform 0.3s ease;
}

.img-box:hover img {
    filter: brightness(0.9);
    transform: scale(1.01);
}

@media (max-width: 850px) {
    .main-container {
        flex-direction: column;
        height: auto;
    }
    .bio-section, .gallery-section {
        height: 450px;
    }
}